# Interface CompiledExpressionProps

Describes metadata and behavior for a compiled AngularJS expression.

interface CompiledExpressionProps {
$$watchDelegate?: (
scope: Scope,
listener: Function,
equalityCheck: boolean,
expression: string | CompiledExpression | ((scope: Scope) => any),
) => any;
assign?: (context: any, value: any) => any;
constant: boolean;
decoratedNode: DecoratedASTNode;
inputs: Function | any[];
isPure?: boolean;
literal: boolean;
oneTime: boolean;
}

- Defined in src/core/parse/interface.ts:7

##### Index

### Properties

$$watchDelegate?
assign?
constant
decoratedNode
inputs
isPure?
literal
oneTime

## Properties

### `Optional`$$watchDelegate

$$watchDelegate?: (
scope: Scope,
listener: Function,
equalityCheck: boolean,
expression: string | CompiledExpression | ((scope: Scope) => any),
) => any

Optional custom watch delegate function for the expression.

#### Type declaration

- - (
    scope: Scope,
    listener: Function,
    equalityCheck: boolean,
    expression: string | CompiledExpression | ((scope: Scope) => any),
    ): any

  - #### Parameters

    - scope: Scope

      The current scope.

    - listener: Function

      A listener function.

    - equalityCheck: boolean

      Whether to use deep equality.

    - expression: string | CompiledExpression | ((scope: Scope) => any)

      The compiled expression or string.

    #### Returns any

- Defined in src/core/parse/interface.ts:25

### `Optional` assign

assign?: (context: any, value: any) => any

Optional assign function for two-way binding. Assigns a value to a context. If value is not provided, may return the getter.

- Defined in src/core/parse/interface.ts:38

### constant

constant: boolean

Indicates if the expression is constant.

- Defined in src/core/parse/interface.ts:11

### decoratedNode

decoratedNode: DecoratedASTNode

AST node decorated with metadata.

- Defined in src/core/parse/interface.ts:17

### inputs

inputs: Function | any[]

Expression inputs; may be an array or a function.

- Defined in src/core/parse/interface.ts:32

### `Optional` isPure

isPure?: boolean

Optional flag for pure expressions.

- Defined in src/core/parse/interface.ts:13

### literal

literal: boolean

Indicates if the expression is a literal.

- Defined in src/core/parse/interface.ts:9

### oneTime

oneTime: boolean

Indicates if the expression should be evaluated only once.

- Defined in src/core/parse/interface.ts:15